Subject: Re: bug#51064: [PATCH] gnu: fish: Update to 3.3.1

From: Filip Staffa <[email-masked]>
Date: Fri, 15 Oct 2021 15:42:01 +0000

Hi Ludo’,

I am new to Guix and have no knowledge of Fish source code, so I am not sure how to replicate/debug the issue.
I propose to close this patch, and I will create a new one once new version of Fish gets released. If the issue persists with the new version, I will hopefully have more knowledge by then to debug it :-)

Regards,

Filip

‐‐‐‐‐‐‐ Original Message ‐‐‐‐‐‐‐

On Friday, October 15th, 2021 at 17:16, Ludovic Courtès <[email-masked]> wrote:

> Hi Filip,
>
> Filip Staffa [email-masked] skribis:
>
> > thanks for checking the patch. It worked on my machine, so I have
> >
> > checked the test itself. It looks like in your case it failed on a
> >
> > precondition. It checks the environment for processes matching Z*, and
> >
> > if it find any it fails. Specifically this command (found here:
> >
> > https://github.com/fish-shell/fish-shell/blob/Integration_3.3.1/tests/checks/jobs.fish#L9
> >
> > ): ps -o s | string match 'Z*' | count
>
> Builds happen in an isolated environment, specifically in a separate PID
>
> namespace. So what’s running on my machine shouldn’t matter.
>
> > Would you be able to stop all such processes/run it in environment
> >
> > where this command returns 0? If not I would propose to close this
> >
> > patch and wait for next version of fish shell, it looks like they
> >
> > fixed the test to be less flaky on Fish master branch.
>
> Alternatively, if you prefer, we can apply upstream’s patch in Guix.
>
> Let me know!
>
> Thanks,
>
> Ludo’.